; Gameboy Header

    INCLUDE "routines.inc"
    GLOBAL start

	SECTION	"Startup",HOME[0]

RST_00: jp  start
	DS	5
RST_08: jp  start
	DS	5
RST_10: jp  start
	DS	5
RST_18: jp  start
	DS	5
RST_20: jp  start
	DS	5
RST_28: jp  start
	DS	5
RST_30: jp  start
	DS	5
RST_38: jp  start
	DS	5
    jp  VertBlank                   ; VBL
	DS	5
    reti                            ; LCD 
    DS  7
    reti                            ; TIM
    DS  7
    reti                            ; SIO
    DS  7
    reti                            ; JOY
    DS  7

	DS	$100-$68

    
.header:                
    nop                             ; GameBoy Header
    jp   start

    DB   $CE,$ED,$66,$66
    DB   $CC,$0D,$00,$0B
    DB   $03,$73,$00,$83
    DB   $00,$0C,$00,$0D
    DB   $00,$08,$11,$1F
    DB   $88,$89,$00,$0E
    DB   $DC,$CC,$6E,$E6
    DB   $DD,$DD,$D9,$99
    DB   $BB,$BB,$67,$63
    DB   $6E,$0E,$EC,$CC
    DB   $DD,$DC,$99,$9F
    DB   $BB,$B9,$33,$3E
    
    DB  "Frogs Demo    ", 0, $80    ; Title of the game

    DB   0,0,0
    
    DB   0                          ; Cartridge type is ROM only

    DB   0                          ; ROM size is 32kB

    DB   0                          ; RAM size is 0kB

    DB   $00,$00                    ; Maker ID

    DB   $01                        ; Version number

    
    DB   $00                        ; Complement check
    
    DB   $00,$00                    ; Checksum

